ranges::v3::view::view< View > Struct Template Reference
Views
Inheritance diagram for ranges::v3::view::view< View >:

## Public Member Functions

template<typename Rng , typename... Rest, requires = (ViewConcept<Rng, Rest...>())>
auto | operator() (Rng &&rng, Rest &&... rest) const -> decltype(view_(static_cast< Rng &&>(rng), static_cast< Rest &&>(rest)...))
template<typename... Ts, typename V = View>
auto | operator() (Ts &&... ts) const -> decltype(make_view(view_access::impl< V >::bind(view_, static_cast< Ts &&>(ts)...)))
| view (View a)